Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded
Class BinaryBootstrap

    java.lang.Object
      org.jboss.embedded.Bootstrap
          org.jboss.embedded.BinaryBootstrap

    public class BinaryBootstrap

extends Bootstrap

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke, adrian@jboss.org

Field Summary

Fields inherited from class org.jboss.embedded.Bootstrap
`BOOTSTRAP_RESOURCE_FILE, BOOTSTRAP_RESOURCE_PATH, ignoreShutdownErrors, kernel, loader, mainDeployer, started`

Constructor Summary
`BinaryBootstrap(org.jboss.kernel.Kernel kernel)`

Method Summary
`protected void` | `deployBaseBootstrapUrl(java.net.URL url)`
`static Bootstrap` | `getInstance()` For those applications that need a singelton Bootstrap instance
`static org.jboss.kernel.spi.deployment.KernelDeployment` | `load(java.io.File binFile)`
`static org.jboss.kernel.spi.deployment.KernelDeployment` | `parse(java.net.URL url)`
`static void` | `store(org.jboss.kernel.spi.deployment.KernelDeployment deployment, java.io.File binFile)`

Methods inherited from class org.jboss.embedded.Bootstrap
`bootstrap, bootstrap, bootstrapURL, createDeploymentGroup, createKernel, deploy, deploy, deployDirectory, deployDirectoryFromResource, deployResource, deployResourceBase, deployResourceBase, deployResourceBases, getKernel, getLoader, isIgnoreShutdownErrors, isStarted, main, scanClasspath, setIgnoreShutdownErrors, setKernel, setLoader, shutdown, undeploy, undeploy, undeployClasspath, undeployDirectory, undeployDirectoryFromResource, undeployResource, undeployResourceBase, undeployResourceBase, undeployResourceBases`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryBootstrap

    public BinaryBootstrap(org.jboss.kernel.Kernel kernel)

Method Detail

### getInstance

    public static Bootstrap getInstance()

  For those applications that need a singelton Bootstrap instance

  Returns:
    the bootstrap

### parse

    public static org.jboss.kernel.spi.deployment.KernelDeployment parse(java.net.URL url)
                                                                  throws org.jboss.xb.binding.JBossXBException,
                                                                         java.net.MalformedURLException

  Throws:
    `org.jboss.xb.binding.JBossXBException`
    `java.net.MalformedURLException`

### store

    public static void store(org.jboss.kernel.spi.deployment.KernelDeployment deployment,
                             java.io.File binFile)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### load

    public static org.jboss.kernel.spi.deployment.KernelDeployment load(java.io.File binFile)
                                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deployBaseBootstrapUrl

    protected void deployBaseBootstrapUrl(java.net.URL url)
                                   throws org.jboss.deployers.spi.DeploymentException

  Overrides:
    `deployBaseBootstrapUrl` in class `Bootstrap`
  Throws:
    `org.jboss.deployers.spi.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD